$(function () {
    $("#example1").DataTable({
        "responsive": true, "lengthChange": false, "autoWidth": false,
        "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
    });
    $("#formPorAsignatura").on("submit", function (e) {
        BuscarPorAsignatura(e);
    });
    $("#formPorAsignaturaDocente").on("submit", function (e) {
        BuscarPorAsignaturaDocente(e);
    });    
});

function BuscarPorAsignatura(e) {
    e.preventDefault();
    var formData = new FormData($("#formPorAsignatura")[0]);
    var periodo = $('#periodo').val();
    var carrera = $('#carrera').val();
    var asignatura = $('#asignatura').val();
    $('#calificacion-data').DataTable({
        "aProcessing": true,
        "aServerSide": true,
        dom: 'Bfrtip',
        buttons: [
            'copyHtml5',
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5',
            'print',
            'colvis'
        ],
        "ajax": {
            url: "../../controller/detalle.php?op=calificar&carrera=" + carrera + "&periodo=" + periodo + "&asignatura=" + asignatura,
            type: "post"
        },
        "bDestroy": true,
        "responsive": true,
        "bInfo": true,
        "iDisplayLength": 20,
        "order": [[0, "desc"]],
        "language": {
            "sProcessing": "Procesando...",
            "sLengthMenu": "Mostrar _MENU_ registros",
            "sZeroRecords": "No se encontraron resultados",
            "sEmptyTable": "Ningun dato disponible en esta tabla",
            "sInfo": "Mostrando registro del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix": "",
            "sSearch": "Buscar:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        },
    });
}
function BuscarPorAsignaturaDocente(e) {
    e.preventDefault();
    var formData = new FormData($("#formPorAsignaturaDocente")[0]);
    var mallacurriculardbk = $('#asignaturaD').val();
    $('#calificacion-data').DataTable({
        "aProcessing": true,
        "aServerSide": true,
        dom: 'Bfrtip',
        buttons: [
            'copyHtml5',
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5',
            'print',
            'colvis'
        ],
        "ajax": {
            url: "../../controller/detalle.php?op=calificar&mallacurriculardbk=" + mallacurriculardbk,
            type: "post"
        },
        "bDestroy": true,
        "responsive": true,
        "bInfo": true,
        "iDisplayLength": 20,
        "order": [[0, "desc"]],
        "language": {
            "sProcessing": "Procesando...",
            "sLengthMenu": "Mostrar _MENU_ registros",
            "sZeroRecords": "No se encontraron resultados",
            "sEmptyTable": "Ningun dato disponible en esta tabla",
            "sInfo": "Mostrando registro del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix": "",
            "sSearch": "Buscar:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        },
    });
}
$(document).ready(function () {

    combo_periodo();
    combo_carrera();
    combo_asignatura();
    combo_asignaturaD();


});

function combo_periodo() {
    $.post("../../controller/periodo.php?op=comboPeriodo", function (data) {
        $('#periodo').html(data);
    });
}
function combo_carrera() {
    $.post("../../controller/carrera.php?op=comboFiltro", {periodbk: $('#periodo').val()}, function (data) {
        $('#carrera').html(data);
    });
}
function combo_asignatura() {
    $.post("../../controller/asignatura.php?op=comboFiltro", {carreradbk: $('#carrera').val(), periodbk: $('#periodo').val()}, function (data) {
        $('#asignatura').html(data);
    });
}
function combo_asignaturaD() {
    $.post("../../controller/asignatura.php?op=comboAsignaturaDocente", function (data) {
        $('#asignaturaD').html(data);
    });
}
$("#periodo").change(function () {
    $("#periodo option:selected").each(function () {
        periodbk = $(this).val();
        $("#carrera").removeAttr('disabled');
        combo_carrera();
    })
})
$("#carrera").change(function () {
    $("#carrera option:selected").each(function () {
        carreradbk = $(this).val();
        $("#asignatura").removeAttr('disabled');
        combo_asignatura();
    })
})
$(".tablas").on("click", ".btnActualizarDetalle", function () {
    var detalledbk = $(this).attr("idDetalle");
    var j = document.getElementById("na" + detalledbk).value;
    var k = document.getElementById("nb" + detalledbk).value;
    var l = document.getElementById("nc" + detalledbk).value;
    var m = document.getElementById("nd" + detalledbk).value;
    var tipo = document.getElementById("tipo" + detalledbk).value;
    //var n = document.getElementById("ne"+detalledbk).value;  
    if (tipo == "1") {
        var n = (parseFloat(j) + parseFloat(k) + parseFloat(l) + parseFloat(m)) / 4;
        n = n.toFixed(2);
    }else{
      var n = document.getElementById("ne"+detalledbk).value;    
    }
    var datos = new FormData();
    datos.append("detalledbk", detalledbk);
    datos.append("n11", j);
    datos.append("n12", k);
    datos.append("n13", l);
    datos.append("n14", m);
    datos.append("nfinal", n);
    $.ajax({
        url: "../../controller/detalle.php?op=actualizarAsignatura",
        method: "POST",
        data: datos,
        cache: false,
        contentType: false,
        processData: false,
        success: function (data) {
            $('#calificacion-data').DataTable().ajax.reload();
            Swal.fire({
                title: 'Operacion Exitosa',
                text: 'La información se ha guardada satisfactoriamente',
                icon: 'success',
                confirmButtonText: 'Aceptar'
            })
        }
    })
})

